Bug 81890 - The pear command doesn't execute as previous to a change of 20050528 in the current kernel listed in UPDATING.
Summary: The pear command doesn't execute as previous to a change of 20050528 in the c...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-04 11:50 UTC by Edwin Culp
Modified: 2005-06-08 08:45 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Edwin Culp 2005-06-04 11:50:01 UTC
See UPDATING 20050528: and http://people.freebsd.org/~gad/Updating-20050528.txt

This seems applicable to pear.

Fix: 

Not sure.
How-To-Repeat: Update kernel to post 20050528
Comment 1 Thierry Thomas freebsd_committer 2005-06-04 15:15:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale


Assign to ale since the culprits are two patches (for lang/php4 
and lang/php5): this shebang is added by patch-pear::scripts::pearcmd.php. 

Alex: it seems time to remove the -n and use a dedicated php.ini? 

Of course I work with you on this issue.
Comment 2 Edwin Culp 2005-06-07 14:37:38 UTC
Jeff Hubbard <lord.freebsdlists@gmail.com> has posted an effective work 
around to the current list that I copy here: I did a bit of playing 
around and found a way to work around the pear problem with
6.0-CURRENT. Change the first few lines of the script to look like this:

#!/usr/local/bin/php -nq
<?php
ini_set("safe_mode", "0");
ini_set("output_buffering", "1");

That gives the same effect, and works around the kernel change. If 
someone would fix this
and commit it, that'd be awesome.

Jeff

Thanks, ed
Comment 3 Alex Dupre freebsd_committer 2005-06-08 08:45:21 UTC
State Changed
From-To: open->closed

Fixed, thanks!